﻿@font-face {
  font-family: "Hei";
  src:
    local("Arial"), local("PingFang SC"), local("PingFang TC"),
    local("Hiragino Sans GB"), local("Lantinghei TC Extralight"),
    local("Lantinghei SC Extralight"), local("FZLTXHB--B51-0"),
    local("FZLTZHK--GBK1-0"), local("Heiti SC Light"), local("STHeitiSC-Light"),
    local("Heiti SC"), local("Heiti TC Light"), local("STHeitiTC-Light"),
    local("Heiti TC"), local("Microsoft Yahei"), local("Microsoft Jhenghei"),
    local("Noto Sans CJK KR"), local("Noto Sans CJK JP"),
    local("Noto Sans CJK SC"), local("Noto Sans CJK TC"),
    local("Droid Sans Fallback");
}
*,
*::before,
*::after {
  box-sizing: border-box;
  outline: none;
  margin: 0;
  padding: 0;
}
.nodisplay,
input#nav {
  display: none !important;
}
.hidden {
  visibility: hidden;
}
.actived {
  background-color: gold !important;
  border-color: gold !important;
  color: #fff !important;
}
.removed {
  background-color: #000;
  color: #e1e2e1;
  text-decoration: line-through;
}
.icp {
  color: #f44336 !important;
  display: block;
  width: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  letter-spacing: 0;
  font-size: 80%;
  border-radius: 0.5rem;
  margin: 0.15rem 0 0 -0.25rem;
  padding: 0.25rem;
}
.more {
  letter-spacing: 0.1em;
  width: 100%;
  max-width: 10em;
  padding-left: 0.1em;
  position: relative;
}
.select-regular {
  cursor: pointer;
  padding-right: 1em;
  max-width: 100%;
  color: #000;
  background-image: url("data:image/svg+xml;charset=utf-8;base64,PHN2ZyB2aWV3Qm94PScwIDAgMTAyNCAxMDI0JyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHdpZHRoPScyMDAnIGhlaWdodD0nMjAwJz48cGF0aCBkPSdNNzIxLjc5NCAzODQuMTE2bC02MC45NDMgNjAuOTQ0LTIxMS4xOS0yMTEuMTkgNjAuOTQ0LTYwLjk0M3onIGZpbGw9JyMwMDAnLz48cGF0aCBkPSdNMjk5LjMxNyAzODMuOTg4bDYwLjk0MyA2MC45NDMgMjExLjE5LTIxMS4xOS02MC45NDQtNjAuOTQyek0zMDEuOSA2MzkuNTk0bDYwLjk0NC02MC45NDQgMjExLjE4OSAyMTEuMTktNjAuOTQzIDYwLjk0M3onIGZpbGw9JyMwMDAnLz48cGF0aCBkPSdNNzI0LjM5MSA2MzkuNzNsLTYwLjk0My02MC45NDMtMjExLjE5IDIxMS4xODkgNjAuOTQ0IDYwLjk0M3onIGZpbGw9JyMwMDAnLz48L3N2Zz4=");
  background-repeat: no-repeat;
  background-position: center right;
  background-size: 1em;
}
.select-regular:-ms-expand {
  display: none;
}
.select-regular:hover,
.select-regular:focus {
  font-weight: bolder;
}
.button-regular {
  background-color: #3e13af;
  color: #fff;
}
.button-regular:hover {
  font-weight: bold;
}
.button-regular:active {
  transform: translate(1px, 2px);
}
[class^="tc"] {
  display: flex;
  flex-wrap: wrap;
}
[class^="tc"] > a {
  padding-left: 0.5em;
  padding-right: 1em;
  position: relative;
}
[class^="tc"] > a:hover {
  font-weight: bolder;
}
[class^="tc"] > a::before {
  content: "＃";
  font-size: small;
  font-weight: bolder;
  position: absolute;
  top: 0.25em;
  left: -0.25em;
  line-height: 100%;
  color: gray;
}
input#password-preview {
  display: none;
}
input#password-preview ~ label[for="password-preview"] {
  background-repeat: no-repeat;
  background-size: 1em;
  background-position: center center;
  width: 1em;
  max-height: 1em;
  margin-left: -2.25em;
  margin-right: 1em;
  padding: 0.25em 0.75em;
  cursor: pointer;
}
input#password-preview:not(checked) ~ label[for="password-preview"] {
  background-image: url("https://esa-static.ziguijia.cn/images/preview-close.svg");
}
input#password-preview:checked ~ label[for="password-preview"] {
  background-image: url("https://esa-static.ziguijia.cn/images/preview-open.svg");
}
.sis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.oss {
  overflow-x: scroll;
  white-space: nowrap;
  max-width: 100%;
}
h1,
h2,
h3,
h4,
h5 {
  margin: 0;
  padding: 0;
  background-color: none;
  letter-spacing: 0.25rem;
  font-size: 110%;
}
h1 {
  font-size: 140%;
}
h4 {
  font-weight: bold;
  letter-spacing: 0.25rem;
  padding: 0.5rem;
  border-bottom: 0.3rem solid gold;
  max-width: 100%;
  display: inline-block;
  white-space: nowrap;
  overflow-x: auto;
  text-overflow: ellipsis;
}
p {
  font-size: 100%;
}
ol,
ul,
li,
dl,
dd,
dt {
  list-style-type: none;
  margin: 0;
  padding: 0;
  text-indent: 0;
}
label,
button {
  cursor: pointer;
}
a {
  text-decoration: none;
  color: #3e13af;
  cursor: pointer;
}
a:visited {
  color: #24096b;
}
u,
s,
i {
  text-decoration: none;
  font-style: normal;
}
s {
  display: block;
}
u {
  display: inline-block;
}
i {
  display: inline;
}
div {
  width: 100%;
}
hr {
  border: 1px solid #e1e2e1;
}
input:not([type="radio"]),
button,
textarea {
  border-style: none;
  border-radius: 0.25rem;
  background-color: #e1e2e1;
  padding: 0 0.5rem;
  line-height: 200%;
  font-size: 100%;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
}
input {
  border: 1px rgba(0, 0, 0, 0.1) solid !important;
  line-height: calc(2em - 2px) !important;
}
select {
  border-style: none;
  border-radius: 0.25em;
  background-color: #fff;
  line-height: 200%;
  font-size: 100%;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
}
textarea {
  width: 100%;
  font-size: 100%;
  font-family:
    "lucida grande", "lucida sans unicode", lucida, helvetica,
    "Hiragino Sans GB", "Microsoft YaHei", "WenQuanYi Micro Hei", sans-serif;
}
@keyframes fadeOutBackground {
  0% {
    background-color: #e1e2e1;
  }
  30% {
    background-color: #e1e2e1;
  }
  100% {
    background-color: rgba(225, 226, 225, 0);
  }
}
@keyframes fadeIn {
  0% {
    top: 1rem;
    opacity: 0;
  }
  25% {
    top: 2rem;
    opacity: 1;
  }
  75% {
    top: 2rem;
    opacity: 1;
  }
  100% {
    top: 1rem;
    opacity: 0;
  }
}
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
#notification {
  max-width: 100%;
  padding: 0 0.5em 0.5em 0.5em;
  background-color: #f5f5f6;
  font-size: smaller;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  opacity: 1;
  animation: fadeAndShrink 1s ease-out 10s forwards;
}
#notification:empty {
  display: none;
}
@keyframes fadeAndShrink {
  0% {
    max-height: 2em;
    opacity: 1;
  }
  100% {
    max-height: 0;
    opacity: 0;
    padding-top: 0;
    padding-bottom: 0;
    pointer-events: none;
    display: none;
  }
}
.weixinMenuTip {
  position: fixed;
  right: 5px;
  top: 15px;
  background-color: rgba(0, 0, 0, 0.8);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
  padding: 10px 15px;
  max-width: 18em;
  width: calc(100vw - 5px - 5px);
  border-radius: 1em;
  border: solid 5px rgba(255, 255, 255, 0.5);
  font-size: smaller;
}
.weixinMenuTip::before {
  content: "1、点击右上角 ••• \a 2、选择“在浏览器打开” \a 3、在新浏览器内再次下载";
  white-space: pre;
  color: #fff;
}
.weixinMenuTip::after {
  content: "";
  position: fixed;
  right: -10px;
  top: 0px;
  width: 75px;
  height: 75px;
  border-bottom-left-radius: 50%;
  background-color: gold;
  background-image: url("data:image/svg+xml,%3Csvg class='icon' viewBox='0 0 1024 1024' xmlns='http://www.w3.org/2000/svg' width='200' height='200'%3E%3Cpath d='M902.4 456.544C945.056 499.2 970.656 576 851.2 576h-85.344c-21.344 0-42.656 21.344-42.656 42.656v256S723.2 960 637.856 960h-256c-85.344 0-85.344-42.656-85.344-85.344v-256c0-21.344-21.344-42.656-42.656-42.656H172.8c-106.656 0-93.856-76.8-51.2-119.456L441.6 89.6c38.4-38.4 102.4-38.4 145.056 0L902.4 456.544z' fill='%233e13af'/%3E%3C/svg%3E");
  background-size: 50%;
  background-position: 50% 15px;
  background-repeat: no-repeat;
}
